<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AlumnosBajas
 *
 * @ORM\Table(name="alumnos_bajas", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_est", columns={"cve_est"})})
 * @ORM\Entity
 */
class AlumnosBajas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_alu_baj", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAluBaj;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var integer
     *
     * @ORM\Column(name="vigente", type="integer", nullable=true)
     */
    private $vigente = '1';

    /**
     * @var string
     *
     * @ORM\Column(name="ciclo", type="string", length=255, nullable=false)
     */
    private $ciclo;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \Estatus
     *
     * @ORM\ManyToOne(targetEntity="Estatus")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_est", referencedColumnName="ide_est")
     * })
     */
    private $cveEst;



    /**
     * Get ideAluBaj
     *
     * @return integer
     */
    public function getIdeAluBaj()
    {
        return $this->ideAluBaj;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return AlumnosBajas
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return AlumnosBajas
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;

        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set vigente
     *
     * @param integer $vigente
     *
     * @return AlumnosBajas
     */
    public function setVigente($vigente)
    {
        $this->vigente = $vigente;

        return $this;
    }

    /**
     * Get vigente
     *
     * @return integer
     */
    public function getVigente()
    {
        return $this->vigente;
    }

    /**
     * Set ciclo
     *
     * @param string $ciclo
     *
     * @return AlumnosBajas
     */
    public function setCiclo($ciclo)
    {
        $this->ciclo = $ciclo;

        return $this;
    }

    /**
     * Get ciclo
     *
     * @return string
     */
    public function getCiclo()
    {
        return $this->ciclo;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return AlumnosBajas
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;

        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cveEst
     *
     * @param \CmBundle\Entity\Estatus $cveEst
     *
     * @return AlumnosBajas
     */
    public function setCveEst(\CmBundle\Entity\Estatus $cveEst = null)
    {
        $this->cveEst = $cveEst;

        return $this;
    }

    /**
     * Get cveEst
     *
     * @return \CmBundle\Entity\Estatus
     */
    public function getCveEst()
    {
        return $this->cveEst;
    }
}
